<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Vars"                                                |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.0 / August 2013

*/

if (!defined('CPO')) exit;
$translator->addTranslation('vars',CPO_BASEDIR.$moduleDirectory.'/lang');

$GLOBALS['modules']['Vars'] = array(
	'directory'		=>	$moduleDirectory,
    'caption'		=>	__('Variables'),
    'install'		=>	'function: Vars_install',
    'activate'		=>	'function: Vars_activate',
    'deactivate'	=>	'function: Vars_deactivate',
    'uninstall'		=>	'function: Vars_uninstall',
    'manage'		=>	'function: Vars_manage',
    'role'			=>	ROLE_EDITOR
	);

// Hier kommen die Basis-Funktionen ***************************************************************

if (!function_exists('log_Vars')) {
	function log_Vars()
	{
		global $cpoSystem;
		@mail('kontakt@conpresso4.de','Das Modul Variablen 4.0 wurde unter '.BASE_ABS.' installiert','','From: '.$cpoSystem['admin_email']);
	}
}

function Vars_install()
{
	global $dbPrefix, $db;
	// Seiten-Template-Tabelle erzeugen
	$query = "DROP TABLE IF EXISTS ".$dbPrefix."_mod_vars;";
	$db->query($query);
	$query = "CREATE TABLE ".$dbPrefix."_mod_vars (
	  rubric_id int(11) NOT NULL,
	  var varchar(255) NOT NULL,
	  `value` text NOT NULL,
	  KEY rubric_id (rubric_id)
	)";
	$db->query($query);
    $GLOBALS['message'][] = __('The variables-module got installed.');
	log_Vars();
}

function Vars_activate()
{
    $GLOBALS['message'][] = __('The variables-module got activated.');
}

function Vars_deactivate()
{
    $GLOBALS['message'][] = __('The variables-module got deactivated.');
}

function Vars_uninstall()
{
	global $dbPrefix, $db;
	$query = "DROP TABLE IF EXISTS ".$dbPrefix."_mod_vars;";
	$db->query($query);
    $GLOBALS['message'][] .= sprintf(__('The module was removed from the ConPresso-system. To finally uninstall the module, please remove the module directory <i>%s</i>.'), $GLOBALS['modules']['Vars']['directory']);
}

function Vars_manage()
{
	global $dbPrefix, $db, $k, $module_status;
	if(array_key_exists($k, $module_status) && $module_status[$k]!=MODULE_INACTIVE)  {
		echo '<a href="'.BASE_ABS.$GLOBALS['modules']['Vars']['directory'].'/settings.php"><img src="'.SKIN_URL.'pic_settings.gif" title="'.__('settings').'" alt="'.__('settings').'"></a>';
	} else {
		echo '<img src="'.SKIN_URL.'pic_shade.gif" class="pic_" style="background: url('.SKIN_URL.'pic_settings.gif);" alt="'.  __('not available').'" title="'.__('not available').'">';
	}
}

// jetzt fllen wir das Array $mod_vars
if (array_key_exists('Vars', $activeModules))
{
	$query_vars = "SELECT rubric_id, var, value FROM ".$dbPrefix."_mod_vars"; 
    DEBUG(1, $query_vars, __FILE__, __LINE__);
    $db_vars = new DB;
    $db_vars->query($query_vars);
	while ($db_vars->next_record())  {
		$mod_vars[$db_vars->v('rubric_id')][$db_vars->v('var')] = $db_vars->v('value');
	}
	function cpoPageVars($var)  { 
 	    global $mod_vars, $cpoRubric; 
        $var = str_replace(';','',$var);
		return $mod_vars[$cpoRubric['id']][$var]; 
	}
}

// und noch fr den Parser
// this handler is used in the parser to load content into the $content-Array
$hdlr_parser_content['vars']     = array('include: '.CPO_BASEDIR.$moduleDirectory.'/includes/parser_c_vars.inc.php');

// this handler creates the replacement for the placeholder
$hdlr_parser_replacement['vars'] = array('include: '.CPO_BASEDIR.$moduleDirectory.'/includes/parser_r_vars.inc.php');

// hier jetzt noch die anpassbaren Divider
$paramsDivider	= ";";
$valueDivider	= ",";
?>
